Update a specific incident retrospective by id
curl --request PUT \
--url https://api.rootly.com/v1/post_mortems/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_post_mortems",
"attributes": {
"title": "<string>",
"status": "draft",
"started_at": "<string>",
"mitigated_at": "<string>",
"resolved_at": "<string>",
"show_timeline": true,
"show_timeline_trail": true,
"show_timeline_genius": true,
"show_timeline_tasks": true,
"show_timeline_action_items": true,
"show_services_impacted": true,
"show_functionalities_impacted": true,
"show_groups_impacted": true,
"show_alerts_attached": true,
"show_action_items": true,
"cause_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_post_mortems",
"attributes": {
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"content": "<string>",
"status": "draft",
"started_at": "<string>",
"mitigated_at": "<string>",
"resolved_at": "<string>",
"show_timeline": true,
"show_timeline_trail": true,
"show_timeline_genius": true,
"show_timeline_tasks": true,
"show_timeline_action_items": true,
"show_timeline_order": "desc",
"show_services_impacted": true,
"show_functionalities_impacted": true,
"show_groups_impacted": true,
"show_alerts_attached": true,
"url": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
Show child attributes
incident_post_mortem updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/post_mortems/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_post_mortems",
"attributes": {
"title": "<string>",
"status": "draft",
"started_at": "<string>",
"mitigated_at": "<string>",
"resolved_at": "<string>",
"show_timeline": true,
"show_timeline_trail": true,
"show_timeline_genius": true,
"show_timeline_tasks": true,
"show_timeline_action_items": true,
"show_services_impacted": true,
"show_functionalities_impacted": true,
"show_groups_impacted": true,
"show_alerts_attached": true,
"show_action_items": true,
"cause_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_post_mortems",
"attributes": {
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"content": "<string>",
"status": "draft",
"started_at": "<string>",
"mitigated_at": "<string>",
"resolved_at": "<string>",
"show_timeline": true,
"show_timeline_trail": true,
"show_timeline_genius": true,
"show_timeline_tasks": true,
"show_timeline_action_items": true,
"show_timeline_order": "desc",
"show_services_impacted": true,
"show_functionalities_impacted": true,
"show_groups_impacted": true,
"show_alerts_attached": true,
"url": "<string>"
}
}
}